net.minecraft.util

## Class RegistryNamespaced

- java.lang.Object
- - net.minecraft.util.RegistrySimple
  - - net.minecraft.util.RegistryNamespaced

- All Implemented Interfaces:
    java.lang.Iterable, IObjectIntIterable, IRegistry
  Direct Known Subclasses:
    FMLControlledNamespacedRegistry, RegistryNamespacedDefaultedByKey

      public class RegistryNamespaced
      extends RegistrySimple
      implements IObjectIntIterable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map` | `field_148758_b`
    `protected ObjectIntIdentityMap` | `underlyingIntegerMap`

    - ### Fields inherited from class net.minecraft.util.RegistrySimple

      `registryObjects`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryNamespaced()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObject(int p_148756_1_, java.lang.String p_148756_2_, java.lang.Object p_148756_3_)`
    `boolean` | `containsId(int p_148753_1_)`
    `boolean` | `containsKey(java.lang.Object p_148741_1_)`
    `boolean` | `containsKey(java.lang.String p_148752_1_)`
    `protected java.util.Map` | `createUnderlyingMap()`
    `protected static java.lang.String` | `ensureNamespaced(java.lang.String p_148755_0_)`
    `int` | `getIDForObject(java.lang.Object p_148757_1_)`
    `java.lang.String` | `getNameForObject(java.lang.Object p_148750_1_)`
    `java.lang.Object` | `getObject(java.lang.Object par1Obj)`
    `java.lang.Object` | `getObject(java.lang.String p_148751_1_)`
    `java.lang.Object` | `getObjectById(int p_148754_1_)`
    `java.util.Iterator` | `iterator()`

    - ### Methods inherited from class net.minecraft.util.RegistrySimple

      `getKeys, putObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### underlyingIntegerMap

          protected ObjectIntIdentityMap underlyingIntegerMap

    - #### field_148758_b

          protected final java.util.Map field_148758_b

  - ### Constructor Detail

    - #### RegistryNamespaced

          public RegistryNamespaced()

  - ### Method Detail

    - #### addObject

          public void addObject(int p_148756_1_,
                       java.lang.String p_148756_2_,
                       java.lang.Object p_148756_3_)

    - #### createUnderlyingMap

          protected java.util.Map createUnderlyingMap()

      Overrides:
        `createUnderlyingMap` in class `RegistrySimple`

    - #### getObject

          public java.lang.Object getObject(java.lang.String p_148751_1_)

    - #### getNameForObject

          public java.lang.String getNameForObject(java.lang.Object p_148750_1_)

    - #### containsKey

          public boolean containsKey(java.lang.String p_148752_1_)

    - #### getIDForObject

          public int getIDForObject(java.lang.Object p_148757_1_)

    - #### getObjectById

          public java.lang.Object getObjectById(int p_148754_1_)

    - #### iterator

          public java.util.Iterator iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable`

    - #### containsId

          public boolean containsId(int p_148753_1_)

    - #### ensureNamespaced

          protected static java.lang.String ensureNamespaced(java.lang.String p_148755_0_)

    - #### containsKey

          public boolean containsKey(java.lang.Object p_148741_1_)

      Overrides:
        `containsKey` in class `RegistrySimple`

    - #### getObject

          public java.lang.Object getObject(java.lang.Object par1Obj)

      Specified by:
        `getObject` in interface `IRegistry`
      Overrides:
        `getObject` in class `RegistrySimple`